VME Intensity Monitor - Feature #10966

Reset sum on disarm event + delay
11/19/2015 04:06 PM - John Diamond

Status: Assigned Start date: 11/19/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 90%
Category: Estimated time: 3.00 hours
Target version: Spent time: 1.50 hour
Description

Right now we reset a sum device to 0 on the reset event.
Phil & Elliott would like to reset on the disarm event plus sum delay.
The immediate request is for 1:19SUMS to reset to 0 on the $26 + 400ms.

History

#1 - 11/19/2015 04:51 PM - John Diamond
- % Done changed from 0 to 50

Added code for a delay parameter to vmeintSumCreate(..).
The sum now resets inside of the disarm handler instead of the arm handler.
Ready for testing on test-stand.

#2 - 11/20/2015 10:12 AM - John Diamond
- File s23703.gif added
- % Done changed from 50 to 80

Verified the changes on the s60tor test-stand.

Configured Z:523703 to arm on $e3, trigger on $e4 + 10ms and disarm/reset on $e6 + 400ms. See attached plot
#3 - 11/20/2015 10:33 AM - John Diamond
- % Done changed from 80 to 90

Also verified that vmeintSumCreate could be used to alter the parameters of a sum at runtime.
Code committed on origin/master and origin/mirrtor_master.
Needs to be deployed with updated startup scripts!
